Upstream information

CVE-2020-14019 at MITRE

Description

Open-iSCSI rtslib-fb through 2.1.72 has weak permissions for /etc/target/saveconfig.json because shutil.copyfile (instead of shutil.copy) is used, and thus permissions are not preserved.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.6
Vector AV:L/AC:L/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 6.2
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
Access Vector Local Local
Access Complexity Low Low
Privileges Required Low None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High None
Availability Impact High None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1173257 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • python-rtslib-fb >= 2.1.73-3.3.1
  • python3-rtslib-fb >= 2.1.73-3.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP2-2020-2109
SUSE Linux Enterprise Module for Python2 packages 15 SP2
  • python-rtslib-fb >= 2.1.73-3.3.1
  • python2-rtslib-fb >= 2.1.73-3.3.1
Patchnames:
SUSE-SLE-Module-Python2-15-SP2-2020-2109
openSUSE Leap 15.2
  • python-rtslib-fb >= 2.1.73-lp152.2.3.1
  • python2-rtslib-fb >= 2.1.73-lp152.2.3.1
  • python3-rtslib-fb >= 2.1.73-lp152.2.3.1
Patchnames:
openSUSE-2020-1156


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 python-rtslib-fb Not affected
HPE Helion OpenStack Cloud 8 python-rtslib-fb Not affected
SUSE Linux Enterprise 15-SP1 Module for Basesystem python-rtslib-fb Not affected
SUSE Linux Enterprise 15-SP1 Module for Python 2 python-rtslib-fb Not affected
SUSE Linux Enterprise 15-SP2 Module for Basesystem python-rtslib-fb Released
SUSE Linux Enterprise 15-SP2 Module for Python 2 python-rtslib-fb Released
SUSE Linux Enterprise High Performance Computing 12 SP4 python-rtslib-fb Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 python-rtslib-fb Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS python-rtslib-fb Not affected
SUSE Linux Enterprise Server 12 SP2 BCL python-rtslib-fb Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS python-rtslib-fb Not affected
SUSE Linux Enterprise Server 12 SP3 BCL python-rtslib-fb Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS python-rtslib-fb Not affected
SUSE Linux Enterprise Server 12 SP4 python-rtslib-fb Not affected
SUSE Linux Enterprise Server 12 SP5 python-rtslib-fb Not affected
SUSE Linux Enterprise Server 15 LTSS python-rtslib-fb Not affected
SUSE Linux Enterprise Server ESPOS 15 python-rtslib-fb Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 python-rtslib-fb Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 python-rtslib-fb Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 python-rtslib-fb Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 python-rtslib-fb Not affected
SUSE OpenStack Cloud 6 LTSS python-rtslib-fb Unsupported
SUSE OpenStack Cloud 7 python-rtslib-fb Not affected
SUSE OpenStack Cloud 8 python-rtslib-fb Not affected
SUSE OpenStack Cloud 9 python-rtslib-fb Not affected
SUSE OpenStack Cloud Crowbar 8 python-rtslib-fb Not affected
SUSE OpenStack Cloud Crowbar 9 python-rtslib-fb Not affected